Bug 137192 - Installer hangs on sata_sil+Hitachi hard drive
Installer hangs on sata_sil+Hitachi hard drive
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 12:43 EDT by Gregory Escov
Modified: 2013-07-02 22:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Escov 2004-10-26 12:43:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20041001 Firefox/0.10.1

Description of problem:
Fedora 3T3 installer locks up immediately after
loading sata_sil driver on my machine. I don't
see any random characters that some other bug cases 
for sata_sil mentioned, and I can exit installer
with alt+ctrl+del, but other keys don't seem to work.

My configuration is this:

Shuttle SL85G4-v2 computer
NVIDIA nForce3 150 chipset
Athlon 64 3000+
Silicon Image 3512a controller
Hitachi Deskstar 7K250 160Gb SATA hard drive
LG DVD writer - the only IDE device



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 3 Test 3 CD 1, boot machine up
2. Press ENTER... or linux <ENTER>... etc


Actual Results:  .... installation proceeds normally for a few seconds....
1. (text) dialog box "Loading sata_sil..." is briefly shown
2. A dialog box " Loading SCSI mass starage device driver..." appears 
3. Nothing happens for >1 minute

Expected Results:  Installation must go on

Additional info:

Admittedly, this configuration had problems even with Windows:

--- (Shuttle FAQ @ http://www.shuttlecomputer.de/eu/sn85g4_faq.htm)
Q:How come when installing WinXP on a Hitachi HDS722580VLSA80 SATA
HDD, the system hangs when formating?

A:You will need to install a beta Silicon Image chipset driver to
solve this issue
---
(With this beta driver, XP works fine)
Comment 1 Trevor Cordes 2005-02-03 18:41:22 EST
This bug appears to duplicate 135479.  Looks like the sata_sil driver
carps in many different ways (different IRQ's listed in "disabling IRQ
#x", garbage or no error at all.

If it would help get a patch going I would be willing to donate for
testing a SIL-3112-based PCI card to someone @redhat.com

Comment 2 Jeff Garzik 2005-03-25 02:32:18 EST
FYI, http://lkml.org/lkml/2005/3/25/33
Comment 3 Dave Jones 2005-07-15 14:12:25 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:40:43 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.